struct Foo {
    one: u32,
    two: u32,
    default: u32,
}

impl Foo {
    fn new() -> Self {
        Self { one: 1, two: 2, default: 12 }
    }
    fn value<'a, 'b>(&'a self, which: &'b str) -> &'a u32 {
        if which == "one" {
            &self.one
        } else if which == "two" {
            &self.two
        } else {
            &self.default
        }
    }
}

fn main() {
    let f = Foo::new();
    println!("{}", f.value("one"));
    println!("{}", f.value("two"));
    println!("{}", f.value("who cares"));
}
